jif

## Enum JifOptions.JifLocations

- java.lang.Object
- - java.lang.Enum<JifOptions.JifLocations>
  - - jif.JifOptions.JifLocations

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JifOptions.JifLocations>, javax.tools.JavaFileManager.Location
  Enclosing class:
    JifOptions

      public static enum JifOptions.JifLocations
      extends java.lang.Enum<JifOptions.JifLocations>
      implements javax.tools.JavaFileManager.Location

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SIGNATURE_PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `boolean` | `isOutputLocation()`
    `static JifOptions.JifLocations` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JifOptions.JifLocations[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SIGNATURE_PATH

          public static final JifOptions.JifLocations SIGNATURE_PATH

  - ### Method Detail

    - #### values

          public static JifOptions.JifLocations[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JifOptions.JifLocations c : JifOptions.JifLocations.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JifOptions.JifLocations valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isOutputLocation

          public boolean isOutputLocation()

      Specified by:
        `isOutputLocation` in interface `javax.tools.JavaFileManager.Location`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `javax.tools.JavaFileManager.Location`